ATA_HOST_INIT(9)

NAME
ata_host_init - Initialize an ata_port structure

SYNOPSIS

void ata_host_init (struct ata_port * ap, struct Scsi_Host * host, struct ata_host_set * host_set, const struct ata_probe_ent * ent, unsigned int port_no);

ARGUMENTS

ap  Structure to initialize

host
    associated SCSI mid-layer structure

host_set
    Collection of hosts to which ap belongs

ent Probe information provided by low-level driver

port_no
    Port number associated with this ata_port

DESCRIPTION

Initialize a new ata_port structure, and its associated scsi_host.

LOCKING

Inherited from caller.

AUTHOR
Jeff Garzik.